<?php if ( ! defined( 'ABSPATH' ) ) die( 'Forbidden' );
/**
 * Testimonials Shortcode
 */

$query_args = array(
	'post_type' => 'testimonials',
	'post_status' => 'publish',
	'posts_per_page' => (int)($args['limit']),
);

if ( !empty($args['cat']) ) {

	$query_args['tax_query'] = 	array(
			array(
	            'taxonomy'  => 'testimonials-category',
	            'field'     => 'if', 
	            'terms'     => array(esc_attr($args['cat'])),
			)
    );
}

$class = [];

if ( $args['quote_char'] == 'yes' ) $class[] = 'showQuoteChar';
if ( $args['header'] == 'yes' ) $class[] = 'showHeader';

$query = new WP_Query( $query_args );

if ( $query->have_posts() ) {

	$swiper_item_class = '';
	if ( $args['layout'] == 'swiper' || $args['layout'] == 'transparent' ) {

		$args['swiper_breakpoint_xl'] = 1;

		if ( $args['columns'] == 3 ) {

			$args['swiper_breakpoint_xl'] = 3;
			$args['swiper_breakpoint_lg'] = 3;
			$args['swiper_breakpoint_md'] = 2;
		}

		if ( $args['columns'] == 2 ) {

			$args['swiper_breakpoint_xl'] = 2;
			$args['swiper_breakpoint_lg'] = 2;
		}

		$args['swiper_arrows'] = '0';
		if ( !empty($args['arrows']) AND $args['arrows'] != 'disabled' ) {

			if ( $args['arrows'] == 'sides' ) {

				$args['swiper_arrows'] = 'sides-outside';
			}
				else
			if ( $args['arrows'] == 'bottom' ) {

				$args['swiper_arrows'] = 'bottom';
			}
		}

		if ( !empty($args['bullets']) AND $args['bullets'] == 'yes' ) {

			$args['swiper_pagination'] = 'bullets';
		}

		$swiper_item_class = 'swiper-slide';
		echo lte_swiper_get_the_container('lte-testimonials-list lte-testimonials-sc lte-testimonials-layout-'.esc_attr($args['layout']).' lte-cols-'.$args['swiper_breakpoint_xl'].' '.esc_attr(implode(' ', $class)), $args);
		echo '<div class="swiper-wrapper">';
	}
		else {

		echo '<div class="lte-testimonials-list-wrapper"><div class="lte-testimonials-list lte-testimonials-sc '.esc_attr(implode(' ', $class)).'">';
	}

	set_query_var( 'lte-testimonials-sc', true );

	if ( !empty($args['subheader']) AND $args['subheader'] == 'yes' ) {

		set_query_var( 'lte-testimonials-subheader', 1 );
	}

	if ( !empty($args['read_more']) ) {

		set_query_var( 'lte-testimonials-readmore', $args['read_more'] );
	}

	if ( !empty($args['photo']) AND $args['photo'] == 'yes') {

		set_query_var( 'lte-testimonials-photo', 1 );
	}
		else
	if ( empty($args['photo']) OR $args['photo'] == 'no') {

		set_query_var( 'lte-testimonials-photo', -1 );
	}

	while ( $query->have_posts() ) {

		$query->the_post();

		$subheader = fw_get_db_post_option(get_The_ID(), 'subheader');
		$rate = fw_get_db_post_option(get_The_ID(), 'rate');

		if ( !empty($args['cut'])) {

			set_query_var( 'lte-testimonials-sc-cut', $args['cut'] );
		}

		echo '<div class="lte-item '.esc_attr($swiper_item_class).'">';
			get_template_part( 'tmpl/content', 'testimonials' );
		echo '</div>';			
	}

	if ( !empty($args['layout'] == 'swiper' || $args['layout'] == 'transparent') ) {

		echo '</div>';	
	}
		
	echo '</div></div>';

	set_query_var( 'lte-testimonials-sc', false);
	set_query_var( 'lte-testimonials-sc-cut', false );

	wp_reset_postdata();
}

