<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' ); }

$atura_theme_config = atura_theme_config();
$atura_sections_list = atura_get_sections();

$options = array(
	'general' => array(
		'title'   => esc_html__( 'General', 'atura' ),
		'type'    => 'tab',
		'options' => array(
			'general-box' => array(
				'title'   => esc_html__( 'General Settings', 'atura' ),
				'type'    => 'tab',
				'options' => array(						
					'page-loader'    => array(
						'type'    => 'multi-picker',
						'picker'       => array(
							'loader' => array(
								'label'   => esc_html__( 'Page Loader', 'atura' ),
								'type'    => 'select',
								'choices' => array(
									'disabled' => esc_html__( 'Disabled', 'atura' ),
									'image' => esc_html__( 'Image', 'atura' ),
									'spinner' => esc_html__( 'Spinner', 'atura' ),
								),
								'value' => 'spinner'
							)
						),						
						'choices' => array(
							'image' => array(
								'loader_img'    => array(
									'label' => esc_html__( 'Page Loader Image', 'atura' ),
									'type'  => 'upload',
								),
							),
						),
						'value' => 'enabled',
					),	
					'google_api'    => array(
						'label' => esc_html__( 'Google Maps API Key', 'atura' ),
						'desc'  => esc_html__( 'Required for contacts page, also used in widget. In order to use you must generate your own API on Google Maps Platform', 'atura' ),
						'type'  => 'text',
					),
					'widgets_block'    => array(
						'label' => esc_html__( 'Enable Block Widgets', 'atura' ),
						'type'  => 'switch',
					),						
				),
			),
			'logo' => array(
				'title'   => esc_html__( 'Logo and Media', 'atura' ),
				'type'    => 'tab',
				'options' => array(	
					'logo-box' => array(
						'title'   => esc_html__( 'Logo', 'atura' ),
						'type'    => 'box',
						'options' => array(			
							'favicon'    => array(
								'html' => esc_html__( 'To change Favicon go to Appearance -> Customize -> Site Identity', 'atura' ),
								'type'  => 'html',
							),		
							'advice'    => array(
								'label'	=>	'',
								'html' => esc_html__( 'Unique Homepages could have different colors and logos, which can be changed in Color Schemes.', 'atura' ),
								'type'  => 'html',
							),								
				            'logo_big_height' => array(
				                'type'  => 'slider',
				                'value' => $atura_theme_config['logo_height'],
				                'properties' => array(

				                    'min' => 0,
				                    'max' => 200,
				                    'step' => 1,

				                ),
				                'label' => esc_html__('Logo Big Max Height, px', 'atura'),
				            ),  				
				            'logo_height' => array(
				                'type'  => 'slider',
				                'value' => $atura_theme_config['logo_height'],
				                'properties' => array(

				                    'min' => 0,
				                    'max' => 200,
				                    'step' => 1,

				                ),
				                'label' => esc_html__('Logo Max Height, px', 'atura'),
				            ),  					            								
							'logo'    => array(
								'label' => esc_html__( 'Logo Black', 'atura' ),
								'type'  => 'upload',
							),
							'logo_2x'    => array(
								'label' => esc_html__( 'Logo Black 2x', 'atura' ),
								'desc'  => esc_html__( 'Used for retina displays. Requires 2x size logo. Can be left empty.', 'atura' ),
								'type'  => 'upload',
							),	
							'logo_white'    => array(
								'label' => esc_html__( 'Logo White', 'atura' ),
								'type'  => 'upload',
							),
							'logo_white_2x'    => array(
								'label' => esc_html__( 'Logo White 2x', 'atura' ),
								'desc'  => esc_html__( 'Used for retina displays.  Requires 2x logo.  Can be left empty.', 'atura' ),
								'type'  => 'upload',
							),
							'logo_hide'    => array(
								'label' => esc_html__( 'Hide Logo', 'atura' ),
								'type'  => 'switch',
							),								
							'theme-icon-header'    => array(
								'label' => esc_html__( 'Headers icon', 'atura' ),
								'type'  => 'icon-v2',
							),
							'theme-icon-main'    => array(
								'label' => esc_html__( 'Widgets Headers icon', 'atura' ),
								'type'  => 'icon-v2',
							),						
							'theme-icon-image'    => array(
								'label' => esc_html__( '(or) Widget Header Image', 'atura' ),
								'type'  => 'upload',
							),													
							'widgets_bg'    => array(
								'label' => esc_html__( 'Search Widgets Background', 'atura' ),
								'type'  => 'upload',
							),
							'sidebar_bg'    => array(
								'label' => esc_html__( 'Sidebar Background', 'atura' ),
								'type'  => 'upload',
							),							
							'nav_pattern'    => array(
								'label' => esc_html__( 'Navbar Pattern', 'atura' ),
								'type'  => 'upload',
							),						
							'404-img'    => array(
								'label' => esc_html__( '404 Page Image', 'atura' ),
								'type'  => 'upload',
							),															
						),
					),
				),
			),				
		),
	),
);

unset($options['general']['options']['logo']['options']['logo-box']['options']['404_bg']);
unset($options['general']['options']['logo']['options']['logo-box']['options']['theme-icon-image']);

