<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
/**
 * TGM Plugin Activation
 */

require_once get_template_directory() . '/inc/plugins/class-tgm-plugin-activation.php';

if ( !function_exists('atura_action_theme_register_required_plugins') ) {

	function atura_action_theme_register_required_plugins() {

		$config = array(

			'id'           => 'atura',
			'menu'         => 'atura-install-plugins',
			'parent_slug'  => 'themes.php',
			'capability'   => 'edit_theme_options',
			'has_notices'  => true,
			'dismissable'  => true,
			'is_automatic' => false,
		);

		tgmpa( array(

			array(
				'name'      => esc_html__('Elementor', 'atura'),
				'slug'      => 'elementor',
				'required'  => true,
			),			
			array(
				'name'      => esc_html__('LTE Extension', 'atura'),
				'slug'      => 'lte-ext',
				'source'   	=> get_template_directory() . '/inc/plugins/lte-ext.zip',
				'version'   => '1.4.0',
				'required'  => true,
			),			
			array(
				'name'      => esc_html__('Events Calendar', 'atura'),
				'slug'      => 'the-events-calendar',
				'required'  => false,
			),										
			array(
				'name'      => esc_html__('Envato Market', 'atura'),
				'slug'      => 'envato-market',
				'source'   	=> get_template_directory() . '/inc/plugins/envato-market.zip',
				'required'  => false,
			),													
			array(
				'name'      => esc_html__('Breadcrumb-navxt', 'atura'),
				'slug'      => 'breadcrumb-navxt',
				'required'  => false,
			),
			array(
				'name'      => esc_html__('Contact Form 7', 'atura'),
				'slug'      => 'contact-form-7',
				'required'  => false,
			),
			array(
				'name'       => esc_html__('MailChimp for WordPress', 'atura'),
				'slug'       => 'mailchimp-for-wp',
				'required'   => false,
			),		
			array(
				'name'       => esc_html__('WooCommerce', 'atura'),
				'slug'       => 'woocommerce',
				'required'   => false,
			),
			array(
				'name'      => esc_html__('Post-views-counter', 'atura'),
				'slug'      => 'post-views-counter',
				'required'  => false,
			),
			array(
				'name'      => esc_html__('YITH WooCommerce Wishlist', 'atura'),
				'slug'      => 'yith-woocommerce-wishlist',
				'required'  => false,
			),
			array(
				'name'      => esc_html__('Unyson', 'atura'),
				'slug'      => 'unyson',
				'source'   	=> 'http://updates.like-themes.com/plugins/unyson/unyson-fork.zip',
				'required'  => true,
			),
			
		), $config);
	}
}

add_action( 'tgmpa_register', 'atura_action_theme_register_required_plugins' );

