<?php if ( ! defined( 'ABSPATH' ) ) { exit; } 

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

class LTE_Audio_track_Widget extends Widget_Base {

	public function get_name() {
		return 'lte-audio-track';
	}

	public function get_title() {
		return esc_html__( 'Audio Track', 'lte-ext' );
	}

	public function get_icon() {
		return 'eicon-headphones';
	}

	public function get_categories() {
		return [ 'lte-category' ];
	}

	protected function _register_controls() {

		$this->start_controls_section(
			'section_content',
			[
				'label' => esc_html__( 'Layout', 'lte-ext' ),
			]
		);

			$this->add_control(
				'number',
				[
					'label' => esc_html__( 'Track #', 'lte-ext' ),
					'type' => Controls_Manager::TEXT,
				]
			);		

			$this->add_control(
				'title',
				[
					'label' => esc_html__( 'Title', 'lte-ext' ),
					'type' => Controls_Manager::TEXT,
					'label_block' => true,
				]
			);		

			$this->add_control(
				'file',
				[
					'label' => esc_html__( 'Audio File', 'lte-ext' ),
					'type' => Controls_Manager::TEXT,
					'label_block' => true,
				]
			);			


		$this->end_controls_section();
	}

	protected function render() {

		$settings = $this->get_settings_for_display();

		lte_sc_output('audio-track', $settings);
	}
}




